Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libpopt0-32bit-1.16-31.6 RPM for ppc64

From OpenSuSE Ports Tumbleweed for ppc64

Name: libpopt0-32bit Distribution: openSUSE Tumbleweed
Version: 1.16 Vendor: openSUSE
Release: 31.6 Build date: Wed Sep 4 15:33:31 2019
Group: System/Libraries Build host: obs-power8-02
Size: 67640 Source RPM: popt-1.16-31.6.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.rpm5.org/
Summary: A C library for parsing command line parameters
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions. It
improves on them by allowing more powerful argument expansion. Popt can
parse arbitrary argv[] style arrays and automatically set variables
based on command line arguments.  Popt allows command line arguments to
be aliased via configuration files and includes utility functions for
parsing arbitrary strings into argv[] arrays using shell-like rules.

Provides

Requires

License

MIT

Changelog

* Sat Jan 26 2019 meissner@suse.com
  - build a 32bit library generically, for use by 32bit fuzzing
* Thu Feb 22 2018 fvogt@suse.com
  - Use %license (boo#1082318)
* Tue Aug 08 2017 jengelh@inai.de
  - Remove --with-pic which is only for static libs.
  - Fix RPM groups.
* Mon Oct 07 2013 schwab@suse.de
  - popt-alignment-checks.patch: fix alignment checks
* Sun Jul 07 2013 jengelh@inai.de
  - Fix typo in popt-libc-updates.patch that prevented it to work
    with glibc before 2.17.
  - More robust make install call; remove redundant %clean section
* Fri Jun 14 2013 coolo@suse.com
  - fix popt-libc-updates.patch to work also with automake 1.13
* Mon Apr 15 2013 idonmez@suse.com
  - Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Feb 13 2013 crrodriguez@opensuse.org
  - Remove patches:
    - config-guess-sub-update.patch
    - popt-secure-getenv.patch
    run autoreconf instead .
  - popt-libc-updates.patch replaces popt-secure-getenv.patch
    * test for secure_getenv instead of __secure_getenv
    * update configure.ac so it can be regenerated with modern
      autotools.
    * Internal symbols are already hidden with a linker script,
    improve that by hidding symbols with the compiler too.
    * use strerror_r instead of strerror in the library.
* Mon Feb 11 2013 crrodriguez@opensuse.org
  - popt wants __secure_getenv at configure time, but This
    function is no longer available as of glibc 2.17.
    test for secure_getenv() instead (popt-secure-getenv.patch)
* Mon Feb 04 2013 dmueller@suse.com
  - Add config-guess-sub-update.patch:
    * Update config.guess/sub for AArch64

Files

/usr/lib/libpopt.so.0
/usr/lib/libpopt.so.0.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Feb 22 00:34:08 2020